<?php

//Clase: Orden de Servicio
class clase
{
	var $nom_tabla = 'dnmaster';
	var  $cve_mae = '0';
	var  $fec_vig = '0';
	var  $des_mae = '0';
	var  $for_cal = '0';
	var  $for_exe_isr = '0';
	var  $for_exe_ims = '0';
	var  $pgm_cal = '0';
//Funcion de Revision
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE cve_mae = '$this->cve_mae'";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	@$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";	
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "INSERT INTO $this->nom_tabla (cve_mae, fec_vig, des_mae, for_cal, for_exe_isr, for_exe_ims, pgm_cal)values('$this->cve_mae', '$this->fec_vig', '$this->des_mae', '$this->for_cal', '$this->for_exe_isr', '$this->for_exe_ims', '$this->pgm_cal')";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($cve_mae){
		$sql= "SELECT * FROM $this->nom_tabla WHERE cve_mae = '$cve_mae'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modificar($cve_mae){
		$sql = "UPDATE $this->nom_tabla SET  cve_mae = '$this->cve_mae', fec_vig = '$this->fec_vig', des_mae = '$this->des_mae', for_cal = '$this->for_cal', for_exe_isr = '$this->for_exe_isr', for_exe_ims = '$this->for_exe_ims', pgm_cal = '$this->pgm_cal' where cve_mae = '$cve_mae'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($cve_mae){   
		$sql = "DELETE FROM $this->nom_tabla WHERE cve_mae = '$cve_mae'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>